# Generated by Django 3.2.11 on 2022-01-22 12:51

import django.db.models.deletion
import djongo.models.fields
from django.db import migrations, models

import utility.utils


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='UserDetails',
            fields=[
                ('customer_id', models.CharField(default=utility.utils.generate_user_id,
                                                 max_length=30, primary_key=True, serialize=False, unique=True)),
                ('salutation', models.CharField(max_length=20)),
                ('first_name', models.CharField(max_length=100)),
                ('middle_name', models.CharField(max_length=100)),
                ('last_name', models.CharField(max_length=100)),
                ('postal_address', models.TextField(blank=True)),
                ('home_phone', models.CharField(blank=True, max_length=20)),
                ('work_phone', models.CharField(blank=True, max_length=20)),
                ('mobile_phone', models.CharField(blank=True, max_length=20)),
                ('fax', models.CharField(blank=True, max_length=50)),
                ('email_address', models.CharField(blank=True, max_length=500)),
                ('mz_resident', models.BooleanField(default=False)),
                ('date_of_birth', models.DateField(blank=True)),
                ('country_of_birth', models.CharField(blank=True, max_length=300)),
                ('citizenship_1', models.CharField(blank=True, max_length=100)),
                ('citizenship_2', models.CharField(blank=True, max_length=100)),
                ('driver_license_no', models.CharField(blank=True, max_length=50)),
                ('version', models.CharField(blank=True, max_length=20)),
                ('residence', models.CharField(blank=True, max_length=50)),
                ('residence_duration', models.PositiveIntegerField(blank=True)),
                ('previous_address', models.TextField(blank=True)),
                ('years_in_prev_add', models.PositiveIntegerField(blank=True)),
                ('marital_status', models.CharField(blank=True, choices=[('Single', 'Single'), (
                    'Married', 'Married'), ('Divorced', 'Divorced'), ('Unspecified', 'Unspecified')], max_length=15)),
                ('dependants', models.CharField(blank=True, max_length=200)),
                ('ages', models.CharField(blank=True, max_length=20)),
                ('current_employer', models.CharField(blank=True, max_length=100)),
                ('current_employer_address', models.TextField(blank=True)),
                ('previous_occupation', models.CharField(
                    blank=True, max_length=200)),
                ('previous_employer', models.CharField(blank=True, max_length=100)),
                ('previous_employer_address', models.TextField(blank=True)),
                ('how_long', models.PositiveIntegerField(blank=True)),
                ('nearest_relative_address', models.TextField(blank=True)),
                ('telephone', models.CharField(blank=True, max_length=20)),
                ('relationship', models.CharField(blank=True, max_length=100)),
                ('credit_ref', models.CharField(blank=True, max_length=200)),
                ('bank_and_branch', models.CharField(blank=True, max_length=100)),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True)),
            ],
            options={
                'verbose_name': 'User Details',
                'verbose_name_plural': 'User Details',
            },
        ),
        migrations.CreateModel(
            name='Finance',
            fields=[
                ('finance_id', models.CharField(default=utility.utils.generate_finance_id,
                                                max_length=30, primary_key=True, serialize=False, unique=True)),
                ('transaction_details', djongo.models.fields.JSONField(default=dict)),
                ('financial_details', djongo.models.fields.JSONField(default=dict)),
                ('balance_paid_by', models.CharField(max_length=500)),
                ('monthly_installments', models.DecimalField(
                    blank=True, decimal_places=2, max_digits=15)),
                ('final_installment', models.DecimalField(
                    blank=True, decimal_places=2, max_digits=15)),
                ('annual_interest', models.DecimalField(
                    blank=True, decimal_places=2, max_digits=15)),
                ('borrowers_financials_1',
                 djongo.models.fields.JSONField(default=dict)),
                ('borrowers_financials_2',
                 djongo.models.fields.JSONField(default=dict)),
                ('borrower_details', models.ForeignKey(
                    on_delete=django.db.models.deletion.CASCADE, related_name='borrower', to='finance.userdetails')),
                ('guarantor_details', models.ForeignKey(
                    on_delete=django.db.models.deletion.CASCADE, related_name='guarantor', to='finance.userdetails')),
            ],
            options={
                'verbose_name': 'Finance',
                'verbose_name_plural': 'Finances',
            },
        ),
    ]
